## net.sourceforge.pmd
Class RuleViolation.RuleViolationComparator

    java.lang.Object
      net.sourceforge.pmd.RuleViolation.RuleViolationComparator

All Implemented Interfaces:
  java.util.Comparator

Enclosing class:
  RuleViolation

public static class RuleViolation.RuleViolationComparator
extends java.lang.Object
implements java.util.Comparator

Constructor Summary
`RuleViolation.RuleViolationComparator()`

Method Summary
`int` `compare(java.lang.Object o1, java.lang.Object o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### RuleViolation.RuleViolationComparator

    public RuleViolation.RuleViolationComparator()

Method Detail

### compare

    public int compare(java.lang.Object o1,
                       java.lang.Object o2)

  Specified by:
    `compare` in interface `java.util.Comparator`

Copyright © 2002-2006 InfoEther. All Rights Reserved.